package dto

import (
	"time"
)

type ActivityDto struct {
	ID           string    `json:"id" example:"a1b2c3d4e5f6"`
	CreatedAt    time.Time `json:"createdAt" example:"2024-01-01T00:00:00Z"`
	UpdatedAt    time.Time `json:"updatedAt" example:"2024-01-01T00:00:00Z"`
	LastEditorID string    `json:"lastEditorID" example:"u1v2w3x4y5z6"`
	Name         string    `json:"name" example:"Development"`
	BillingRate  float64   `json:"billingRate" example:"100.00"`
}

type ActivityCreateDto struct {
	Name        string  `json:"name" example:"Development"`
	BillingRate float64 `json:"billingRate" example:"100.00"`
}

type ActivityUpdateDto struct {
	ID           string     `json:"id" example:"a1b2c3d4e5f6"`
	CreatedAt    *time.Time `json:"createdAt" example:"2024-01-01T00:00:00Z"`
	UpdatedAt    *time.Time `json:"updatedAt" example:"2024-01-01T00:00:00Z"`
	LastEditorID *string    `json:"lastEditorID" example:"u1v2w3x4y5z6"`
	Name         *string    `json:"name" example:"Development"`
	BillingRate  *float64   `json:"billingRate" example:"100.00"`
}
