package dto

import (
	"time"
)

type CompanyDto struct {
	ID           string    `json:"id" example:"01HGW2BBG0000000000000000"`
	CreatedAt    time.Time `json:"createdAt" example:"2024-01-01T00:00:00Z"`
	UpdatedAt    time.Time `json:"updatedAt" example:"2024-01-01T00:00:00Z"`
	LastEditorID string    `json:"lastEditorID" example:"01HGW2BBG0000000000000000"`
	Name         string    `json:"name" example:"Acme Corp"`
}

type CompanyCreateDto struct {
	Name string `json:"name" example:"Acme Corp"`
}

type CompanyUpdateDto struct {
	CreatedAt *time.Time `json:"createdAt" example:"2024-01-01T00:00:00Z"`
	UpdatedAt *time.Time `json:"updatedAt" example:"2024-01-01T00:00:00Z"`
	Name      *string    `json:"name" example:"Acme Corp"`
}
